## NAME

v.report - Reports geometry statistics for vector maps.

## KEYWORDS

vector, geometry, statistics

## SYNOPSIS

v.report
v.report --help
v.report [-cd] map=name [layer=string] option=string [units=string] [sort=string] [separator=character] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-c
  Do not include column names in output
-d
  Report for geometries with no database records
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

map=name [required]
  Name of vector map
  Or data source for direct OGR access
layer=string
  Layer number or name
  Vector features can have category values in different layers. This number determines which layer to use. When used with direct OGR access this is the layer name.
  Default: 1
option=string [required]
  Value to calculate
  Options: area, length, coor
units=string
  Units
  Options: miles, feet, meters, kilometers, acres, hectares, percent
sort=string
  Sort the result
  Options: asc, desc
  asc: Sort in ascending order
  desc: Sort in descending order
separator=character
  Field separator
  Special characters: pipe, comma, space, tab, newline
  Default: pipe

## DESCRIPTION

v.report generates a table showing the area present in each of the categories of a user-selected data layer.

Area is given in hectares, square meters, and square kilometers. If the units option is used, area is given in acres, square feet, and square miles.

Feet and acre units are always reported in their common versions (i.e. the International Foot, exactly 5280 feet in a mile), even when the location's standard map unit is the US Survey foot.

v.report works on the full map data; therefore, the current region is ignored. If you wish to spatially limit the statistics, a map subset must be created with v.in.region and v.overlay, and then run v.report on the new map.

## EXAMPLE

North Carolina sample dataset:

    v.report zipcodes_wake option=area units=hectares

In the output, there is an extra column added containing the results.

## SEE ALSO

v.in.region, v.to.db, v.overlay

## AUTHOR

Markus Neteler, GDF Hannover

## SOURCE CODE

Available at: v.report source code (history)

Accessed: Wednesday Apr 10 11:18:23 2024

Main index | Vector index | Topics index | Keywords index | Graphical index | Full index

© 2003-2024 GRASS Development Team, GRASS GIS 8.3.2 Reference Manual